Thank you for your donation


Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
XBIAN + RetroPie
10th Jan, 2017, 11:24 AM (This post was last modified: 10th Jan, 2017 12:00 PM by Nachteule.)
Post: #16
RE: XBIAN + RetroPie
(10th Jan, 2017 11:11 AM)Tozzi Wrote:  I managed to update to the new version now, looks good.
Even got a new kernel now.

But the problem persists.

apt-get install libraspberrypi-dev reports (probably correctly):
Code:
Note, selecting 'xbian-package-firmware' instead of 'libraspberrypi-dev'
xbian-package-firmware is already the newest version.

Trying to install retroarch (from source or binary, doesn't matter) says however:
Code:
Did not find needed package(s): libraspberrypi-dev. I am trying to install them now.
Reading package lists...
Building dependency tree...
Reading state information...
xbian-package-firmware is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Could not install package(s): libraspberrypi-dev.

Seems to be stupid installation script. Package providing libraspberrypi-dev is installed. So installer has to take care of it. Maybe you could find that part in installer script and comment it out Smile


Quote:emulationstation throws this error:
Code:
Could not install package(s): libcurl4-openssl-dev.

and if I try to install it,

Code:
The following packages have unmet dependencies:
libcurl4-openssl-dev : Depends: libcurl3 (= 7.38.0-4+deb8u4) but 7.37.1-1 is to be installed

For this problem you'll find some posts here, for example inside this thread
Find all posts by this user
Quote this message in a reply
10th Jan, 2017, 12:09 PM
Post: #17
RE: XBIAN + RetroPie
(10th Jan, 2017 11:24 AM)Nachteule Wrote:  Seems to be stupid installation script. Package providing libraspberrypi-dev is installed. So installer has to take care of it.[quote]
Agreed... I posted on their forum, let's see what happens...

Code:
The following packages have unmet dependencies:
libcurl4-openssl-dev : Depends: libcurl3 (= 7.38.0-4+deb8u4) but 7.37.1-1 is to be installed

(10th Jan, 2017 11:24 AM)Nachteule Wrote:  For this problem you'll find some posts here, for example inside this thread
I've tried that, but doesn't work, no joy (still same message)...
So close and yet so far away from success... Huh
Find all posts by this user
Quote this message in a reply
11th Jan, 2017, 12:04 AM
Post: #18
RE: XBIAN + RetroPie
(10th Jan, 2017 12:09 PM)Tozzi Wrote:  
(10th Jan, 2017 11:24 AM)Nachteule Wrote:  For this problem you'll find some posts here, for example inside this thread
I've tried that, but doesn't work, no joy (still same message)...
So close and yet so far away from success... Huh

I checked that, and yes, it does not work as expected. But, I played a a bit around and now it works:

Terminal

root@kmxbilr2 /etc/apt/preferences.d # ll
insgesamt 8
-rw-r--r-- 1 root root 157 Jan 10 15:01 01user
-rw-r--r-- 1 root root 967 Jan 10 14:53 xbian
root@kmxbilr2 /etc/apt/preferences.d # cat 01user
Package: libcurl3 curl libcurl3-gnutls
Pin: release o=XBian
Pin-Priority: -1
Package: libcurl3 curl libcurl3-gnutls
Pin: release o=Debian
Pin-Priority: 1001
root@kmxbilr2 /etc/apt/preferences.d # apt-cache policy libcurl3
libcurl3:
Installiert: 7.37.1-1
Installationskandidat: 7.38.0-4+deb8u4
Paket-Pinning: 7.38.0-4+deb8u4
Versionstabelle:
7.38.0-4+deb8u4 1001
500 http://http.debian.net/debian/ jessie/main armhf Packages
*** 7.37.1-1 1001
500 http://kmcubie/ stable/rpi2-jessie armhf Packages
100 /var/lib/dpkg/status
root@kmxbilr2 /etc/apt/preferences.d # apt-get install -s libcurl3
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
libcec-dev libio-socket-inet6-perl libsocket6-perl sendemail
Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
Die folgenden Pakete werden aktualisiert (Upgrade):
libcurl3
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 9 nicht aktualisiert.
Inst libcurl3 [7.37.1-1] (7.38.0-4+deb8u4 Debian:8.6/stable [armhf])
Conf libcurl3 (7.38.0-4+deb8u4 Debian:8.6/stable [armhf])
root@kmxbilr2 /etc/apt/preferences.d #


So, you simply have to flip the two entries in file 01user
Find all posts by this user
Quote this message in a reply
11th Jan, 2017, 03:08 AM
Post: #19
RE: XBIAN + RetroPie
Thank you! It works now! Cool
Find all posts by this user
Quote this message in a reply
11th Jan, 2017, 08:51 AM
Post: #20
RE: XBIAN + RetroPie
BTW I forgot to mention:
The maintainer of RetroPie has changed the dependencies in their install script accordingly, so libraspberrypi-dev is being recognised within xbian-package-firmware now, too.
Thanks a lot, it's all working perfectly now!
Find all posts by this user
Quote this message in a reply
11th Jan, 2017, 08:53 AM (This post was last modified: 11th Jan, 2017 08:53 AM by Nachteule.)
Post: #21
RE: XBIAN + RetroPie
Great Smile You're welcome Exclamation
Find all posts by this user
Quote this message in a reply
25th Jan, 2017, 05:20 AM
Post: #22
RE: XBIAN + RetroPie
(11th Oct, 2015 07:30 AM)Lucifer Wrote:  And ... I don't know how to add the script to the skin I use ... preferably I want to add it next to shutdown button.
Did you find a way to switch between Kodi and Emulation Station?

Your script works like a charm, bet I don't want to run it manualy every time. I tried to create simple Kodi addon to run the script, but for some reason Emulation Station doesn't start when I run script from python.
Code:
import os
os.system('sh /home/xbian/switch.sh')
Find all posts by this user
Quote this message in a reply
25th Jan, 2017, 05:36 AM
Post: #23
RE: XBIAN + RetroPie
If Kodi is running, nobody else can access the screen. So you have to stop Kodi first before you start a different program like retropie
Find all posts by this user
Quote this message in a reply
25th Jan, 2017, 06:51 AM
Post: #24
RE: XBIAN + RetroPie
So, there are no way to launch Emulation Station from Kodi?
Find all posts by this user
Quote this message in a reply
25th Jan, 2017, 06:55 AM
Post: #25
RE: XBIAN + RetroPie
No way.

You have to disable xbmc service and write your own service which shows menu where you can launch Kodi or retropie or whatever you want
Find all posts by this user
Quote this message in a reply
25th Apr, 2017, 06:36 AM
Post: #26
RE: XBIAN + RetroPie
Hi guys,

I am new here but I have been reading posts and solutions in this forum for quite a long time. I have to say that I love xbian and it has been running smooth in my pi for years.

I have been this weekend trying to add retropie functionality to my setup following this guide and I have to say that everything works amazing after follow all the steps on this thread. Maybe the could be summarized at some point but all the information is here. Many thanks to everybody.

I would like to add my two cents saying that I have been able to run the script from Kodi launching it in a detached terminal using screen, this way when Kodi shuts down the script could still runs and when retropie is closed and the script launch Kodi the script ends and the detached terminal is closed so no extra terminals remains open.
Find all posts by this user
Quote this message in a reply
25th Apr, 2017, 06:41 AM
Post: #27
RE: XBIAN + RetroPie
@mithito

Everybody can add articles to our wiki

I you would like do add an howto you're welcome Smile
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies Views: Last Post
Rainbow [SOLVED] Xbian with working: Sopcast and XSopcast, Retropie and Rom Collection Browser JuStAdsor 4 7,116 14th May, 2014 06:47 AM
Last Post: pvlietst

Forum Jump: